﻿using System;
using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Browser;
using System.Windows.Controls;
using System.Windows.Media;
using ThinkGeo.MapSuite.SilverlightCore;
using ThinkGeo.MapSuite.SilverlightEdition;

namespace SilverlightApplication
{
    [ScriptableTypeAttribute]
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            Map1.MapUnit = GeographyUnit.DecimalDegree;

            WmsOverlay wmsOverlay = new WmsOverlay();
            wmsOverlay.ServerUris.Add(new Uri("http://localhost:49689/ProduceImages.ashx"));
            Map1.Overlays.Add("WMSOverlay", wmsOverlay);

            Map1.CurrentExtent = new RectangleShape(-135.7, 83.6, 113.5, -53);
        }
    }
}
